//
//  Bluetooth4Whm.h
//  WHM08
//
//  Created by 富樫 豊彦 on 2013/11/10.
//  Copyright (c) 2013年 富樫 豊彦. All rights reserved.
//

#import <Foundation/Foundation.h>

#define CH_COUNT    7
struct recvData {
    float   power;
    float   current;
    float   voltage;
    float   frequency;
    float   energyOfMonth;
};

@interface Bluetooth4Whm : NSObject
@property (nonatomic) struct recvData   *data;
@property (nonatomic) long              date;
@property (nonatomic) long              time;
@property (nonatomic) BOOL              valid;
- (void)cleanup;
@end

#define SERVICE_UUID           @"B61CF193-79B3-450A-BE2F-16D46E216C00"
#define CHARACTERISTIC_UUID0   @"B61CF193-79B3-450A-BE2F-16D46E216D00"
#define CHARACTERISTIC_UUID1   @"B61CF193-79B3-450A-BE2F-16D46E216D01"
#define CHARACTERISTIC_UUID2   @"B61CF193-79B3-450A-BE2F-16D46E216D02"
#define CHARACTERISTIC_UUID3   @"B61CF193-79B3-450A-BE2F-16D46E216D03"
#define CHARACTERISTIC_UUID4   @"B61CF193-79B3-450A-BE2F-16D46E216D04"
#define CHARACTERISTIC_UUID5   @"B61CF193-79B3-450A-BE2F-16D46E216D05"
#define CHARACTERISTIC_UUID6   @"B61CF193-79B3-450A-BE2F-16D46E216D06"
#define CHARACTERISTIC_UUID7   @"B61CF193-79B3-450A-BE2F-16D46E216D07"
#define CHARACTERISTIC_UUID8   @"B61CF193-79B3-450A-BE2F-16D46E216D08"

